Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network25.64.0.0/11
Usable hosts2,097,150
Subnet mask255.224.0.0
Addresses2,097,152
Network address
25.64.0.0
Broadcast address
25.95.255.255
First usable
25.64.0.1
Last usable
25.95.255.254
Usable hosts
2,097,150 (2,097,152 less the network and broadcast addresses)
Subnet mask
255.224.0.0
Wildcard mask
0.31.255.255 (Cisco ACLs, OSPF)
Prefix length
/11
Type
Public public
Old class
A (default /8)
As numbers
Hex 19400000 · Integer 423624704 to 425721855
Reverse DNS zones
64.25.in-addr.arpa
65.25.in-addr.arpa
66.25.in-addr.arpa
67.25.in-addr.arpa
68.25.in-addr.arpa
69.25.in-addr.arpa
70.25.in-addr.arpa
71.25.in-addr.arpa
72.25.in-addr.arpa
73.25.in-addr.arpa
74.25.in-addr.arpa
75.25.in-addr.arpa
76.25.in-addr.arpa
77.25.in-addr.arpa
78.25.in-addr.arpa
79.25.in-addr.arpa
and 16 more
/11 is not on a 8-bit boundary, so it takes 32 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00011001.01000000.00000000.0000000025.64.0.0
Subnet mask11111111.11100000.00000000.00000000255.224.0.0
Network00011001.01000000.00000000.0000000025.64.0.0
Broadcast00011001.01011111.11111111.1111111125.95.255.255
Split into smaller subnets/22

25.64.0.0/11 makes 2,048 subnets of /22; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
125.64.0.0/2225.64.0.1 to 25.64.3.25425.64.3.2551,022
225.64.4.0/2225.64.4.1 to 25.64.7.25425.64.7.2551,022
325.64.8.0/2225.64.8.1 to 25.64.11.25425.64.11.2551,022
425.64.12.0/2225.64.12.1 to 25.64.15.25425.64.15.2551,022
525.64.16.0/2225.64.16.1 to 25.64.19.25425.64.19.2551,022
625.64.20.0/2225.64.20.1 to 25.64.23.25425.64.23.2551,022
725.64.24.0/2225.64.24.1 to 25.64.27.25425.64.27.2551,022
825.64.28.0/2225.64.28.1 to 25.64.31.25425.64.31.2551,022
925.64.32.0/2225.64.32.1 to 25.64.35.25425.64.35.2551,022
1025.64.36.0/2225.64.36.1 to 25.64.39.25425.64.39.2551,022
1125.64.40.0/2225.64.40.1 to 25.64.43.25425.64.43.2551,022
1225.64.44.0/2225.64.44.1 to 25.64.47.25425.64.47.2551,022
1325.64.48.0/2225.64.48.1 to 25.64.51.25425.64.51.2551,022
1425.64.52.0/2225.64.52.1 to 25.64.55.25425.64.55.2551,022
1525.64.56.0/2225.64.56.1 to 25.64.59.25425.64.59.2551,022
1625.64.60.0/2225.64.60.1 to 25.64.63.25425.64.63.2551,022
1725.64.64.0/2225.64.64.1 to 25.64.67.25425.64.67.2551,022
1825.64.68.0/2225.64.68.1 to 25.64.71.25425.64.71.2551,022
1925.64.72.0/2225.64.72.1 to 25.64.75.25425.64.75.2551,022
2025.64.76.0/2225.64.76.1 to 25.64.79.25425.64.79.2551,022
2125.64.80.0/2225.64.80.1 to 25.64.83.25425.64.83.2551,022
2225.64.84.0/2225.64.84.1 to 25.64.87.25425.64.87.2551,022
2325.64.88.0/2225.64.88.1 to 25.64.91.25425.64.91.2551,022
2425.64.92.0/2225.64.92.1 to 25.64.95.25425.64.95.2551,022
2525.64.96.0/2225.64.96.1 to 25.64.99.25425.64.99.2551,022
2625.64.100.0/2225.64.100.1 to 25.64.103.25425.64.103.2551,022
2725.64.104.0/2225.64.104.1 to 25.64.107.25425.64.107.2551,022
2825.64.108.0/2225.64.108.1 to 25.64.111.25425.64.111.2551,022
2925.64.112.0/2225.64.112.1 to 25.64.115.25425.64.115.2551,022
3025.64.116.0/2225.64.116.1 to 25.64.119.25425.64.119.2551,022
3125.64.120.0/2225.64.120.1 to 25.64.123.25425.64.123.2551,022
3225.64.124.0/2225.64.124.1 to 25.64.127.25425.64.127.2551,022
3325.64.128.0/2225.64.128.1 to 25.64.131.25425.64.131.2551,022
3425.64.132.0/2225.64.132.1 to 25.64.135.25425.64.135.2551,022
3525.64.136.0/2225.64.136.1 to 25.64.139.25425.64.139.2551,022
3625.64.140.0/2225.64.140.1 to 25.64.143.25425.64.143.2551,022
3725.64.144.0/2225.64.144.1 to 25.64.147.25425.64.147.2551,022
3825.64.148.0/2225.64.148.1 to 25.64.151.25425.64.151.2551,022
3925.64.152.0/2225.64.152.1 to 25.64.155.25425.64.155.2551,022
4025.64.156.0/2225.64.156.1 to 25.64.159.25425.64.159.2551,022
4125.64.160.0/2225.64.160.1 to 25.64.163.25425.64.163.2551,022
4225.64.164.0/2225.64.164.1 to 25.64.167.25425.64.167.2551,022
4325.64.168.0/2225.64.168.1 to 25.64.171.25425.64.171.2551,022
4425.64.172.0/2225.64.172.1 to 25.64.175.25425.64.175.2551,022
4525.64.176.0/2225.64.176.1 to 25.64.179.25425.64.179.2551,022
4625.64.180.0/2225.64.180.1 to 25.64.183.25425.64.183.2551,022
4725.64.184.0/2225.64.184.1 to 25.64.187.25425.64.187.2551,022
4825.64.188.0/2225.64.188.1 to 25.64.191.25425.64.191.2551,022
4925.64.192.0/2225.64.192.1 to 25.64.195.25425.64.195.2551,022
5025.64.196.0/2225.64.196.1 to 25.64.199.25425.64.199.2551,022
5125.64.200.0/2225.64.200.1 to 25.64.203.25425.64.203.2551,022
5225.64.204.0/2225.64.204.1 to 25.64.207.25425.64.207.2551,022
5325.64.208.0/2225.64.208.1 to 25.64.211.25425.64.211.2551,022
5425.64.212.0/2225.64.212.1 to 25.64.215.25425.64.215.2551,022
5525.64.216.0/2225.64.216.1 to 25.64.219.25425.64.219.2551,022
5625.64.220.0/2225.64.220.1 to 25.64.223.25425.64.223.2551,022
5725.64.224.0/2225.64.224.1 to 25.64.227.25425.64.227.2551,022
5825.64.228.0/2225.64.228.1 to 25.64.231.25425.64.231.2551,022
5925.64.232.0/2225.64.232.1 to 25.64.235.25425.64.235.2551,022
6025.64.236.0/2225.64.236.1 to 25.64.239.25425.64.239.2551,022
6125.64.240.0/2225.64.240.1 to 25.64.243.25425.64.243.2551,022
6225.64.244.0/2225.64.244.1 to 25.64.247.25425.64.247.2551,022
6325.64.248.0/2225.64.248.1 to 25.64.251.25425.64.251.2551,022
6425.64.252.0/2225.64.252.1 to 25.64.255.25425.64.255.2551,022
6525.65.0.0/2225.65.0.1 to 25.65.3.25425.65.3.2551,022
6625.65.4.0/2225.65.4.1 to 25.65.7.25425.65.7.2551,022
6725.65.8.0/2225.65.8.1 to 25.65.11.25425.65.11.2551,022
6825.65.12.0/2225.65.12.1 to 25.65.15.25425.65.15.2551,022
6925.65.16.0/2225.65.16.1 to 25.65.19.25425.65.19.2551,022
7025.65.20.0/2225.65.20.1 to 25.65.23.25425.65.23.2551,022
7125.65.24.0/2225.65.24.1 to 25.65.27.25425.65.27.2551,022
7225.65.28.0/2225.65.28.1 to 25.65.31.25425.65.31.2551,022
7325.65.32.0/2225.65.32.1 to 25.65.35.25425.65.35.2551,022
7425.65.36.0/2225.65.36.1 to 25.65.39.25425.65.39.2551,022
7525.65.40.0/2225.65.40.1 to 25.65.43.25425.65.43.2551,022
7625.65.44.0/2225.65.44.1 to 25.65.47.25425.65.47.2551,022
7725.65.48.0/2225.65.48.1 to 25.65.51.25425.65.51.2551,022
7825.65.52.0/2225.65.52.1 to 25.65.55.25425.65.55.2551,022
7925.65.56.0/2225.65.56.1 to 25.65.59.25425.65.59.2551,022
8025.65.60.0/2225.65.60.1 to 25.65.63.25425.65.63.2551,022
8125.65.64.0/2225.65.64.1 to 25.65.67.25425.65.67.2551,022
8225.65.68.0/2225.65.68.1 to 25.65.71.25425.65.71.2551,022
8325.65.72.0/2225.65.72.1 to 25.65.75.25425.65.75.2551,022
8425.65.76.0/2225.65.76.1 to 25.65.79.25425.65.79.2551,022
8525.65.80.0/2225.65.80.1 to 25.65.83.25425.65.83.2551,022
8625.65.84.0/2225.65.84.1 to 25.65.87.25425.65.87.2551,022
8725.65.88.0/2225.65.88.1 to 25.65.91.25425.65.91.2551,022
8825.65.92.0/2225.65.92.1 to 25.65.95.25425.65.95.2551,022
8925.65.96.0/2225.65.96.1 to 25.65.99.25425.65.99.2551,022
9025.65.100.0/2225.65.100.1 to 25.65.103.25425.65.103.2551,022
9125.65.104.0/2225.65.104.1 to 25.65.107.25425.65.107.2551,022
9225.65.108.0/2225.65.108.1 to 25.65.111.25425.65.111.2551,022
9325.65.112.0/2225.65.112.1 to 25.65.115.25425.65.115.2551,022
9425.65.116.0/2225.65.116.1 to 25.65.119.25425.65.119.2551,022
9525.65.120.0/2225.65.120.1 to 25.65.123.25425.65.123.2551,022
9625.65.124.0/2225.65.124.1 to 25.65.127.25425.65.127.2551,022
9725.65.128.0/2225.65.128.1 to 25.65.131.25425.65.131.2551,022
9825.65.132.0/2225.65.132.1 to 25.65.135.25425.65.135.2551,022
9925.65.136.0/2225.65.136.1 to 25.65.139.25425.65.139.2551,022
10025.65.140.0/2225.65.140.1 to 25.65.143.25425.65.143.2551,022
10125.65.144.0/2225.65.144.1 to 25.65.147.25425.65.147.2551,022
10225.65.148.0/2225.65.148.1 to 25.65.151.25425.65.151.2551,022
10325.65.152.0/2225.65.152.1 to 25.65.155.25425.65.155.2551,022
10425.65.156.0/2225.65.156.1 to 25.65.159.25425.65.159.2551,022
10525.65.160.0/2225.65.160.1 to 25.65.163.25425.65.163.2551,022
10625.65.164.0/2225.65.164.1 to 25.65.167.25425.65.167.2551,022
10725.65.168.0/2225.65.168.1 to 25.65.171.25425.65.171.2551,022
10825.65.172.0/2225.65.172.1 to 25.65.175.25425.65.175.2551,022
10925.65.176.0/2225.65.176.1 to 25.65.179.25425.65.179.2551,022
11025.65.180.0/2225.65.180.1 to 25.65.183.25425.65.183.2551,022
11125.65.184.0/2225.65.184.1 to 25.65.187.25425.65.187.2551,022
11225.65.188.0/2225.65.188.1 to 25.65.191.25425.65.191.2551,022
11325.65.192.0/2225.65.192.1 to 25.65.195.25425.65.195.2551,022
11425.65.196.0/2225.65.196.1 to 25.65.199.25425.65.199.2551,022
11525.65.200.0/2225.65.200.1 to 25.65.203.25425.65.203.2551,022
11625.65.204.0/2225.65.204.1 to 25.65.207.25425.65.207.2551,022
11725.65.208.0/2225.65.208.1 to 25.65.211.25425.65.211.2551,022
11825.65.212.0/2225.65.212.1 to 25.65.215.25425.65.215.2551,022
11925.65.216.0/2225.65.216.1 to 25.65.219.25425.65.219.2551,022
12025.65.220.0/2225.65.220.1 to 25.65.223.25425.65.223.2551,022
12125.65.224.0/2225.65.224.1 to 25.65.227.25425.65.227.2551,022
12225.65.228.0/2225.65.228.1 to 25.65.231.25425.65.231.2551,022
12325.65.232.0/2225.65.232.1 to 25.65.235.25425.65.235.2551,022
12425.65.236.0/2225.65.236.1 to 25.65.239.25425.65.239.2551,022
12525.65.240.0/2225.65.240.1 to 25.65.243.25425.65.243.2551,022
12625.65.244.0/2225.65.244.1 to 25.65.247.25425.65.247.2551,022
12725.65.248.0/2225.65.248.1 to 25.65.251.25425.65.251.2551,022
12825.65.252.0/2225.65.252.1 to 25.65.255.25425.65.255.2551,022
12925.66.0.0/2225.66.0.1 to 25.66.3.25425.66.3.2551,022
13025.66.4.0/2225.66.4.1 to 25.66.7.25425.66.7.2551,022
13125.66.8.0/2225.66.8.1 to 25.66.11.25425.66.11.2551,022
13225.66.12.0/2225.66.12.1 to 25.66.15.25425.66.15.2551,022
13325.66.16.0/2225.66.16.1 to 25.66.19.25425.66.19.2551,022
13425.66.20.0/2225.66.20.1 to 25.66.23.25425.66.23.2551,022
13525.66.24.0/2225.66.24.1 to 25.66.27.25425.66.27.2551,022
13625.66.28.0/2225.66.28.1 to 25.66.31.25425.66.31.2551,022
13725.66.32.0/2225.66.32.1 to 25.66.35.25425.66.35.2551,022
13825.66.36.0/2225.66.36.1 to 25.66.39.25425.66.39.2551,022
13925.66.40.0/2225.66.40.1 to 25.66.43.25425.66.43.2551,022
14025.66.44.0/2225.66.44.1 to 25.66.47.25425.66.47.2551,022
14125.66.48.0/2225.66.48.1 to 25.66.51.25425.66.51.2551,022
14225.66.52.0/2225.66.52.1 to 25.66.55.25425.66.55.2551,022
14325.66.56.0/2225.66.56.1 to 25.66.59.25425.66.59.2551,022
14425.66.60.0/2225.66.60.1 to 25.66.63.25425.66.63.2551,022
14525.66.64.0/2225.66.64.1 to 25.66.67.25425.66.67.2551,022
14625.66.68.0/2225.66.68.1 to 25.66.71.25425.66.71.2551,022
14725.66.72.0/2225.66.72.1 to 25.66.75.25425.66.75.2551,022
14825.66.76.0/2225.66.76.1 to 25.66.79.25425.66.79.2551,022
14925.66.80.0/2225.66.80.1 to 25.66.83.25425.66.83.2551,022
15025.66.84.0/2225.66.84.1 to 25.66.87.25425.66.87.2551,022
15125.66.88.0/2225.66.88.1 to 25.66.91.25425.66.91.2551,022
15225.66.92.0/2225.66.92.1 to 25.66.95.25425.66.95.2551,022
15325.66.96.0/2225.66.96.1 to 25.66.99.25425.66.99.2551,022
15425.66.100.0/2225.66.100.1 to 25.66.103.25425.66.103.2551,022
15525.66.104.0/2225.66.104.1 to 25.66.107.25425.66.107.2551,022
15625.66.108.0/2225.66.108.1 to 25.66.111.25425.66.111.2551,022
15725.66.112.0/2225.66.112.1 to 25.66.115.25425.66.115.2551,022
15825.66.116.0/2225.66.116.1 to 25.66.119.25425.66.119.2551,022
15925.66.120.0/2225.66.120.1 to 25.66.123.25425.66.123.2551,022
16025.66.124.0/2225.66.124.1 to 25.66.127.25425.66.127.2551,022
16125.66.128.0/2225.66.128.1 to 25.66.131.25425.66.131.2551,022
16225.66.132.0/2225.66.132.1 to 25.66.135.25425.66.135.2551,022
16325.66.136.0/2225.66.136.1 to 25.66.139.25425.66.139.2551,022
16425.66.140.0/2225.66.140.1 to 25.66.143.25425.66.143.2551,022
16525.66.144.0/2225.66.144.1 to 25.66.147.25425.66.147.2551,022
16625.66.148.0/2225.66.148.1 to 25.66.151.25425.66.151.2551,022
16725.66.152.0/2225.66.152.1 to 25.66.155.25425.66.155.2551,022
16825.66.156.0/2225.66.156.1 to 25.66.159.25425.66.159.2551,022
16925.66.160.0/2225.66.160.1 to 25.66.163.25425.66.163.2551,022
17025.66.164.0/2225.66.164.1 to 25.66.167.25425.66.167.2551,022
17125.66.168.0/2225.66.168.1 to 25.66.171.25425.66.171.2551,022
17225.66.172.0/2225.66.172.1 to 25.66.175.25425.66.175.2551,022
17325.66.176.0/2225.66.176.1 to 25.66.179.25425.66.179.2551,022
17425.66.180.0/2225.66.180.1 to 25.66.183.25425.66.183.2551,022
17525.66.184.0/2225.66.184.1 to 25.66.187.25425.66.187.2551,022
17625.66.188.0/2225.66.188.1 to 25.66.191.25425.66.191.2551,022
17725.66.192.0/2225.66.192.1 to 25.66.195.25425.66.195.2551,022
17825.66.196.0/2225.66.196.1 to 25.66.199.25425.66.199.2551,022
17925.66.200.0/2225.66.200.1 to 25.66.203.25425.66.203.2551,022
18025.66.204.0/2225.66.204.1 to 25.66.207.25425.66.207.2551,022
18125.66.208.0/2225.66.208.1 to 25.66.211.25425.66.211.2551,022
18225.66.212.0/2225.66.212.1 to 25.66.215.25425.66.215.2551,022
18325.66.216.0/2225.66.216.1 to 25.66.219.25425.66.219.2551,022
18425.66.220.0/2225.66.220.1 to 25.66.223.25425.66.223.2551,022
18525.66.224.0/2225.66.224.1 to 25.66.227.25425.66.227.2551,022
18625.66.228.0/2225.66.228.1 to 25.66.231.25425.66.231.2551,022
18725.66.232.0/2225.66.232.1 to 25.66.235.25425.66.235.2551,022
18825.66.236.0/2225.66.236.1 to 25.66.239.25425.66.239.2551,022
18925.66.240.0/2225.66.240.1 to 25.66.243.25425.66.243.2551,022
19025.66.244.0/2225.66.244.1 to 25.66.247.25425.66.247.2551,022
19125.66.248.0/2225.66.248.1 to 25.66.251.25425.66.251.2551,022
19225.66.252.0/2225.66.252.1 to 25.66.255.25425.66.255.2551,022
19325.67.0.0/2225.67.0.1 to 25.67.3.25425.67.3.2551,022
19425.67.4.0/2225.67.4.1 to 25.67.7.25425.67.7.2551,022
19525.67.8.0/2225.67.8.1 to 25.67.11.25425.67.11.2551,022
19625.67.12.0/2225.67.12.1 to 25.67.15.25425.67.15.2551,022
19725.67.16.0/2225.67.16.1 to 25.67.19.25425.67.19.2551,022
19825.67.20.0/2225.67.20.1 to 25.67.23.25425.67.23.2551,022
19925.67.24.0/2225.67.24.1 to 25.67.27.25425.67.27.2551,022
20025.67.28.0/2225.67.28.1 to 25.67.31.25425.67.31.2551,022
20125.67.32.0/2225.67.32.1 to 25.67.35.25425.67.35.2551,022
20225.67.36.0/2225.67.36.1 to 25.67.39.25425.67.39.2551,022
20325.67.40.0/2225.67.40.1 to 25.67.43.25425.67.43.2551,022
20425.67.44.0/2225.67.44.1 to 25.67.47.25425.67.47.2551,022
20525.67.48.0/2225.67.48.1 to 25.67.51.25425.67.51.2551,022
20625.67.52.0/2225.67.52.1 to 25.67.55.25425.67.55.2551,022
20725.67.56.0/2225.67.56.1 to 25.67.59.25425.67.59.2551,022
20825.67.60.0/2225.67.60.1 to 25.67.63.25425.67.63.2551,022
20925.67.64.0/2225.67.64.1 to 25.67.67.25425.67.67.2551,022
21025.67.68.0/2225.67.68.1 to 25.67.71.25425.67.71.2551,022
21125.67.72.0/2225.67.72.1 to 25.67.75.25425.67.75.2551,022
21225.67.76.0/2225.67.76.1 to 25.67.79.25425.67.79.2551,022
21325.67.80.0/2225.67.80.1 to 25.67.83.25425.67.83.2551,022
21425.67.84.0/2225.67.84.1 to 25.67.87.25425.67.87.2551,022
21525.67.88.0/2225.67.88.1 to 25.67.91.25425.67.91.2551,022
21625.67.92.0/2225.67.92.1 to 25.67.95.25425.67.95.2551,022
21725.67.96.0/2225.67.96.1 to 25.67.99.25425.67.99.2551,022
21825.67.100.0/2225.67.100.1 to 25.67.103.25425.67.103.2551,022
21925.67.104.0/2225.67.104.1 to 25.67.107.25425.67.107.2551,022
22025.67.108.0/2225.67.108.1 to 25.67.111.25425.67.111.2551,022
22125.67.112.0/2225.67.112.1 to 25.67.115.25425.67.115.2551,022
22225.67.116.0/2225.67.116.1 to 25.67.119.25425.67.119.2551,022
22325.67.120.0/2225.67.120.1 to 25.67.123.25425.67.123.2551,022
22425.67.124.0/2225.67.124.1 to 25.67.127.25425.67.127.2551,022
22525.67.128.0/2225.67.128.1 to 25.67.131.25425.67.131.2551,022
22625.67.132.0/2225.67.132.1 to 25.67.135.25425.67.135.2551,022
22725.67.136.0/2225.67.136.1 to 25.67.139.25425.67.139.2551,022
22825.67.140.0/2225.67.140.1 to 25.67.143.25425.67.143.2551,022
22925.67.144.0/2225.67.144.1 to 25.67.147.25425.67.147.2551,022
23025.67.148.0/2225.67.148.1 to 25.67.151.25425.67.151.2551,022
23125.67.152.0/2225.67.152.1 to 25.67.155.25425.67.155.2551,022
23225.67.156.0/2225.67.156.1 to 25.67.159.25425.67.159.2551,022
23325.67.160.0/2225.67.160.1 to 25.67.163.25425.67.163.2551,022
23425.67.164.0/2225.67.164.1 to 25.67.167.25425.67.167.2551,022
23525.67.168.0/2225.67.168.1 to 25.67.171.25425.67.171.2551,022
23625.67.172.0/2225.67.172.1 to 25.67.175.25425.67.175.2551,022
23725.67.176.0/2225.67.176.1 to 25.67.179.25425.67.179.2551,022
23825.67.180.0/2225.67.180.1 to 25.67.183.25425.67.183.2551,022
23925.67.184.0/2225.67.184.1 to 25.67.187.25425.67.187.2551,022
24025.67.188.0/2225.67.188.1 to 25.67.191.25425.67.191.2551,022
24125.67.192.0/2225.67.192.1 to 25.67.195.25425.67.195.2551,022
24225.67.196.0/2225.67.196.1 to 25.67.199.25425.67.199.2551,022
24325.67.200.0/2225.67.200.1 to 25.67.203.25425.67.203.2551,022
24425.67.204.0/2225.67.204.1 to 25.67.207.25425.67.207.2551,022
24525.67.208.0/2225.67.208.1 to 25.67.211.25425.67.211.2551,022
24625.67.212.0/2225.67.212.1 to 25.67.215.25425.67.215.2551,022
24725.67.216.0/2225.67.216.1 to 25.67.219.25425.67.219.2551,022
24825.67.220.0/2225.67.220.1 to 25.67.223.25425.67.223.2551,022
24925.67.224.0/2225.67.224.1 to 25.67.227.25425.67.227.2551,022
25025.67.228.0/2225.67.228.1 to 25.67.231.25425.67.231.2551,022
25125.67.232.0/2225.67.232.1 to 25.67.235.25425.67.235.2551,022
25225.67.236.0/2225.67.236.1 to 25.67.239.25425.67.239.2551,022
25325.67.240.0/2225.67.240.1 to 25.67.243.25425.67.243.2551,022
25425.67.244.0/2225.67.244.1 to 25.67.247.25425.67.247.2551,022
25525.67.248.0/2225.67.248.1 to 25.67.251.25425.67.251.2551,022
25625.67.252.0/2225.67.252.1 to 25.67.255.25425.67.255.2551,022

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses